<?php namespace App\Models\Admin;

use App\Models\Project\DatatableModel;

class TestimonialModel extends AdminModel{
	private $table;
	
    public function __construct(){
		parent::__construct();
		$this->table = "testimonial";
    }
	
	public function get_datatable(){
		$dtObj = new DatatableModel($this->db);
		$dtObj->set_table($this->table);
		// Set Datatable columns 
		$dtObj->set_column('testimonial_id', 'desc', 'RecordID');
		$dtObj->set_column('name','sort|search');
		$dtObj->set_column('review','sort|search');
		$dtObj->set_column('status', 'sort|search');
		$builder = $dtObj->get_builder();
		$builder->where('is_deleted','No');
	    return $dtObj->get_data($builder);
	}
	
	public function get($testimonial_id){
		$builder = $this->db->table($this->table);
		$query = $builder->where('testimonial_id',$testimonial_id)->get();
		return $query->getRowArray();
	}
	
	public function insert($data){		 
		$this->add_insert_log($data);
		$builder = $this->db->table($this->table);
		$builder->insert($data);
	}
	
	public function update($data, $testimonial_id){
		$this->add_update_log($data);
		$builder = $this->db->table($this->table);
		$builder->where('testimonial_id',$testimonial_id);
		$builder->update($data);
	}
	
	public function delete($testimonial_id){
		$data['is_deleted'] = "Yes";
		$this->add_update_log($data);
		$builder = $this->db->table($this->table);
		$builder->where('testimonial_id',$testimonial_id)
				->update($data);
	}
}